xmonad-contrib-0.11.3: Third party extensions for xmonad

Copyright | (c) Daniel Schoepe (2009)
License | BSD3-style (see LICENSE)
Maintainer | Daniel Schoepe <daniel.schoepe@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell98

XMonad.Util.Types

Description

Miscellaneous commonly used types.

Synopsis

- data Direction1D
  - = Next
  - | Prev
- data Direction2D
  - = U
  - | D
  - | R
  - | L

# Documentation

data Direction1D

One-dimensional directions:

Constructors

Next |
Prev |

Instances

Eq Direction1D |
Read Direction1D |
Show Direction1D |
Typeable * Direction1D |

data Direction2D

Two-dimensional directions:

Constructors

U | Up
D | Down
R | Right
L | Left

Instances

Bounded Direction2D |
Enum Direction2D |
Eq Direction2D |
Ord Direction2D |
Read Direction2D |
Show Direction2D |
Typeable * Direction2D |